Thread Tools
Mar 26, 2017, 11:11 AM
Registered User
Thread OP
Discussion

Is Taranis q x7 Compalable with FrSky XSR receiver?


Hey I'm new in racing drone hobby. Yesterday from banggood website i bougth Taranis q x7 and FrSky XSR receiver, but i have question, was Taranis bind with this receiver or not?
I saw that Taranis q x7 compatibility with FrSky X series, but it is true, because on youtube i only saw taranis q x7 with X4R receiver
Sign up now
to remove ads between posts
Mar 26, 2017, 11:34 AM
Registered User
Yes the XSR in and X-series and supports D16 is the "preferred" FrSky protocol.

An X4R is also an X series receiver.

Note: There are two versions of D16, "world aka FCC" and "EU". If you are in the EU you should use the EU version of D16.....D16 LBT and both your TX and the X- series RX need to be EU versions or they will not work together.
Mar 26, 2017, 12:03 PM
Registered User
Thread OP
I think when it comes from banggood , it came in FCC, so i totally need to change TX to Eu version, what about RX?, how i need to change firmware for XSR receiver?, there is no micro usb
Mar 26, 2017, 12:29 PM
Registered User
To be legal you need to use the EU LBT version. However technically if both the TX and RX are "world aka FCC" then it they will work together. Or if both are EU LBT then they will work together.

I have not done this personally but...

If you want to flash to EU LBT you can do it from the radio. You need to use the pins in the module bay and make up a special cable. The process is the same as the Taranis X9D+ "Upgrade by Radios" in the "How To-S.Port Products" manual

http://www.frsky-rc.com/download/vie...ort%20Products

The internal XJT module in the Q-X7 runs the same firmware as the external module.
You get the XJT module firmware from the FrSky site here
http://www.frsky-rc.com/download/ind...d=0&pro_id=104

You also get the Receiver firmware from the FrSky site
http://www.frsky-rc.com/download/ind...d=0&pro_id=154

If you want to upgrade the main firmware you use to program your models then you get the latest version of OpenTX 2.2 via the "NEWS" on this page....

http://www.open-tx.org/

OpenTX is still in pre-release and the current version is RC14. Personally I don't trust the grab bag releases of 2.2 that FrSky puts out.

Note: when you upgrade OpenTX you do not need to install "Zadig"...that is the old way...You can use the new way ....the OpenTX Bootloader aka "power on method". The new way means you can use standard Windows mass storage device drivers. However, you have to upgrade the OpenTX Bootloader as a separate step after you have updated the main OpenTX firmware and thatmeans you will need obtain, image and install a micro SD card to do that. You want an SD card anyway to get back up and voice alert features.
Last edited by pressalltheknobs; Mar 26, 2017 at 06:16 PM.
Mar 26, 2017, 01:04 PM
Registered User
Thread OP
Thanks, for reply man , i'm so happy that is very fast help. When my package comes, i will do what you say. Thanks again
Jul 03, 2017, 08:06 AM
Registered User
Hey,

I'm having troubles with the same parts (Q7 and XSR).

telemetry is all weird, sometimes it find sensors, but always loose them.
And I can't use the lua script for PID tuning. Most of the time I got -- instead of values.

So I'm trying to update the XSR firmware, but I just can't : /

I tried from the module bay (with proper wiring) : "FW error : bottom pin is no resp "

then tried with the Sport (with proper wiring) : "FW error : bottom pin is no resp "

I don't know what is the problem :/


Quick Reply
Message:

Thread Tools